# petsc4py.PETSc.DeviceContext.DeviceJoinMode

class petsc4py.PETSc.DeviceContext.DeviceJoinMode

  Bases: `object`

  The type of join to perform.

  See also

  `DeviceContext`, `DeviceContext.join`, `DeviceContext.fork`, `PetscDeviceContextJoinMode`

  Attributes Summary

  `DESTROY` | Constant `DESTROY` of type `int`
  `NO_SYNC` | Constant `NO_SYNC` of type `int`
  `SYNC` | Constant `SYNC` of type `int`

  Attributes Documentation

  DESTROY: int = DESTROY

    Constant `DESTROY` of type `int`

  NO_SYNC: int = NO_SYNC

    Constant `NO_SYNC` of type `int`

  SYNC: int = SYNC

    Constant `SYNC` of type `int`